Bug 17963 - TT syntax for notices - Prove that AR_* are compatible
Summary: TT syntax for notices - Prove that AR_* are compatible
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 17959 17962
Blocks: 17961 17964
  Show dependency treegraph
 
Reported: 2017-01-23 13:11 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17963: TT syntax for notices - Prove that AR_* are compatible (4.80 KB, patch)
2017-01-23 15:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17963: TT syntax for notices - Prove that AR_* are compatible (4.83 KB, patch)
2017-01-23 15:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17963: TT syntax for notices - Prove that AR_* are compatible (4.83 KB, patch)
2017-01-23 16:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17963: TT syntax for notices - Prove that AR_* are compatible (5.52 KB, patch)
2017-01-25 09:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17963: TT syntax for notices - Prove that AR_* are compatible (5.57 KB, patch)
2017-02-17 11:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17963: TT syntax for notices - Prove that AR_* are compatible (5.67 KB, patch)
2017-03-24 07:57 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-01-23 13:11:50 UTC

    
Comment 1 Jonathan Druart 2017-01-23 15:52:30 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2017-01-23 15:54:25 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2017-01-23 16:44:43 UTC Comment hidden (obsolete)
Comment 4 Josef Moravec 2017-01-24 19:47:55 UTC
I think there is missing article_requests table definition in C4::Letters, I am getting the notice generated without any information from article_requests table... but test is passing...
Comment 5 Jonathan Druart 2017-01-25 09:00:19 UTC
Created attachment 59539 [details] [review]
Bug 17963: TT syntax for notices - Prove that AR_* are compatible

Nothing new here since bug 17962, the AR_* notice messages are quite
simple. They send the article_request, patron, biblio, biblioitem, item and
library linked to the article request.

All the fields from these 6 tables should still be accessible using the
TT syntax.

Test plan:
Define TT notice templates for AR_PENDING, AR_PROCESSING, AR_COMPLETED
or AR_CANCELED.

You should manage to create a template to generate the same result as
the historical syntax.
Comment 6 Jonathan Druart 2017-01-25 09:01:04 UTC
(In reply to Josef Moravec from comment #4)
> I think there is missing article_requests table definition in C4::Letters, I
> am getting the notice generated without any information from
> article_requests table... but test is passing...

Yes indeed, the test was completely wrong!
Comment 7 Kyle M Hall 2017-02-17 11:51:26 UTC
Created attachment 60402 [details] [review]
Bug 17963: TT syntax for notices - Prove that AR_* are compatible

Nothing new here since bug 17962, the AR_* notice messages are quite
simple. They send the article_request, patron, biblio, biblioitem, item and
library linked to the article request.

All the fields from these 6 tables should still be accessible using the
TT syntax.

Test plan:
Define TT notice templates for AR_PENDING, AR_PROCESSING, AR_COMPLETED
or AR_CANCELED.

You should manage to create a template to generate the same result as
the historical syntax.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Marcel de Rooy 2017-03-24 07:49:39 UTC
QA: Looking here now
Comment 9 Marcel de Rooy 2017-03-24 07:57:10 UTC
Created attachment 61594 [details] [review]
Bug 17963: TT syntax for notices - Prove that AR_* are compatible

Nothing new here since bug 17962, the AR_* notice messages are quite
simple. They send the article_request, patron, biblio, biblioitem, item and
library linked to the article request.

All the fields from these 6 tables should still be accessible using the
TT syntax.

Test plan:
Define TT notice templates for AR_PENDING, AR_PROCESSING, AR_COMPLETED
or AR_CANCELED.

You should manage to create a template to generate the same result as
the historical syntax.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 10 Kyle M Hall 2017-03-31 11:03:24 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 11 Katrin Fischer 2017-04-02 16:20:22 UTC
Dependencies are not in 16.11.x, so this is not needed there.